Bug 2325 - modutils-2.1.121-0 broken on 2.0 kernels
modutils-2.1.121-0 broken on 2.0 kernels
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: modutils (Show other bugs)
5.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-22 11:09 EDT by Dave J. Andruczyk
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-06 16:20:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave J. Andruczyk 1999-04-22 11:09:05 EDT
Modutils 2.1.121 does NOT work when kmod is disbaled with
the 2.2.6 kernel. (it won't automagically load modules, or
use ANY settings in the conf.modules file.)  IT will ONLY
work properly with "kmod" enabled in the kernel.  The nall
settings from conf.modules will be used, and the system will
behave.  Unfortunately I switch between 2.0 and 2.2 often
and under 2.0 auto-loading of modules will not work with
modutils 2.1.121.  IT did previously work with modutils
2.1.85-9 distributed with the stock redhat 5.2.

I'm completely baffled.

For example:
under 2.0.36 kernel, with modutils 2.1.121
"modprobe sb" fails with the following error:
  Your must probe the sb module with I/O=xxx IRQ=xxx dma=xxx

under 2.2.6 with modutils 2.1.121, and kmod enabled
modprobe sb works and autoloads all of the necessary
modules. (see extra modules loaded below in conf.modules
file.)

With 2.2.6 with modutils 2.1.121 and kmod DISABLED

it (doesn't) works just as the 2.0 series above. (kerneld
isn't doing its job, even though it is running)

/etc/conf.modules:

alias char-major-81 bttv
alias eth0 3c59x
alias scsi_hostadapter BusLogic
alias parport_lowlevel parport_pc
alias char-major-14 sound
alias net-pf-3 off #       no ax25 module available (yet)
alias net-pf-4 off #       if you don't use the ipx module
alias net-pf-5 off

post-install sound /sbin/modprobe "-k" "opl3"
post-install opl3 /sbin/modprobe "-k" "sb"
post-install sb /sbin/modprobe "-k" "awe_wave"
post-install awe_wave /usr/local/bin/sfxload
/usr/lib/oss/synthgm.sf2

options sb io=0x280 irq=5 dma=1 dma16=5 mpu_io=0x300
options opl3 io=0x388
options awe_wave io=0x680
options sound dmabuf=1
options parport_pc io=0x378
Comment 1 Bill Nottingham 1999-04-22 14:35:59 EDT
kerneld is not supposed to work on 2.2 systems. That's why
kmod is there.
Comment 2 David Lawrence 1999-07-06 16:20:59 EDT
You will need the version of modutils that shipped with 5.2 for use
with 2.0.x kernels and the newer modutils package for 2.2.x kernels.
They are not interchangeable.

Note You need to log in before you can comment on or make changes to this bug.